using KitsuneCafe.Sys;
using KitsuneCafe.Sys.Attributes;
using UnityEngine;

namespace KitsuneCafe.ItemSystem
{

    [CreateAssetMenu(menuName = KitsuneCafeMenu.Item + "Item")]
    public class Item : BaseItem, IStackable
    {
        [SerializeField]
        private bool stackable;
        public bool IsStackable => stackable;

        [SerializeField, ShowIf("stackable")]
        private int maxStackCount = 1;
        public int MaxStackCount => maxStackCount;

        private void Reset()
        {
            GenerateNewId();
        }
    }
}
